org.wildfly.swarm.security

## Class SecurityFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Security<SecurityFraction>
      - - org.wildfly.swarm.security.SecurityFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<SecurityFraction>

      public class SecurityFraction
      extends Security<SecurityFraction>
      implements Fraction<SecurityFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Security

      `Security.SecurityResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityFraction()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `static SecurityFraction` | `defaultSecurityFraction()`

    - ### Methods inherited from class org.wildfly.swarm.config.Security

      `addPropertyChangeListener, classicVault, classicVault, classicVault, classicVault, deepCopySubjectMode, deepCopySubjectMode, getKey, removePropertyChangeListener, securityDomain, securityDomain, securityDomain, securityDomain, securityDomains, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### SecurityFraction

          public SecurityFraction()

  - ### Method Detail

    - #### defaultSecurityFraction

          public static SecurityFraction defaultSecurityFraction()

    - #### applyDefaults

          public SecurityFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<SecurityFraction>`
      Returns:
        this fraction.

Copyright © 2017 JBoss by Red Hat. All rights reserved.